using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pcd_g1
{
	class BulletinBoardItemObject : ItemStageObject
	{
		IStoryboard story;
		public BulletinBoardItemObject(int x, int y, Stage stg, string message0) : base(x, y, stg)
		{
			image = ImageManager.Search("911");
			story = new SelectStoryBoard(message0, 400, 150, 0, 0, null, null, "▼");
			//story = new MessageStoryBoard()
		}
		public override void Update(int keyStatus, out int vx, out int vy)
		{
			if ((keyStatus & (int)MainForm.KEYBOARD.Down) != 0)
			{
				foreach (IStageObject item in owner.GetCollidedStageObjects(this))
				{
					if (item is MainCharacterStageObject)
					{
						story.Run();
						break;
					}
				}
			}
			base.Update(keyStatus, out vx, out vy);
		}
	}
}
